Why am I getting Error 405 while uploading my package to https://test.pypi.org/legacy?

ant ant at anthive.com
Sun Dec 23 19:59:44 EST 2018


sntshkmr60 at gmail.com wrote:
>>   did you check your dists via twine?
>> 
>>   $ twine check --verbose dist/*
>
> I checked with `twine check dist/*` (there's no --verbose option though).
> I only get warning about markdown

  right, i see later in my history i used the twine
check without the verbose option.

  you have to fix that for it to upload...

  $ pip install readme_renderer[md]


>>   also make sure you are using up to date versions of
>> setuptools, wheel and twine
>> 
>> 
>>   $ pip install --upgrade setuptools
>>   $ pip install --upgrade wheel
>>   $ pip install --upgrade twine
>
> [65]> import setuptools, wheel, twine
> [66]> print(setuptools.__version__)
> 40.6.3
> [67]> print(wheel.__version__)
> 0.32.3
> [68]> print(twine.__version__)
> 1.12.1
>
>
>>   i just used it earlier today...  worked fine for me.
>> is your account there and verified?
>
> Yes, I have an account on TestPyPI and is verified. 

  try the above...


  ant


More information about the Python-list mailing list